vcov.coxph {survival} | R Documentation

## Variance-covariance matrix

### Description

Extract and return the variance-covariance matrix.

### Usage

    ## S3 method for class 'coxph'
    vcov(object, complete=TRUE, ...)
    ## S3 method for class 'survreg'
    vcov(object, complete=TRUE, ...)

### Arguments

`object` | a fitted model object

`complete`

logical indicating if the full variance-covariance matrix should be returned. This has an effect only for an over-determined fit where some of the coefficients are undefined, and `coef(object)` contains corresponding NA values. If `complete=TRUE` the returned matrix will have row/column for each coefficient, if FALSE it will contain rows/columns corresponding to the non-missing coefficients. The coef() function has a simpilar `complete` argument.

`...` | additional arguments for method functions

### Details

For the `coxph` and `survreg` functions the returned matrix is a particular generalized inverse: the row and column corresponding to any NA coefficients will be zero. This is a side effect of the generalized cholesky decomposion used in the unerlying compuatation.

### Value

a matrix

[Package survival version 2.42-6 Index]